#!/bin/sh
# ##########################################################################
# ####                                                                  ####
# ####                         Prfungsamt-Client                       ####
# ####                    ============================                  ####
# ####                                                                  ####
# #### Backup.Skript                                                    ####
# ####                                                                  ####
# #### Version 1.00                                                     ####
# ####                                                                  ####
# #### Copyright (C) 2000  Thomas Dreibholz                             ####
# ####                     Universitt Bonn, Abt. IV                    ####
# ####                     EMail: Dreibholz@bigfoot.com                 ####
# ####                     WWW:   http://www.bigfoot.com/~dreibholz     ####
# ####                                                                  ####
# ##########################################################################


if [ ! $# -gt 0 ]
then
   echo "Aufruf: Backup.sh [Verzeichnis]"
   exit
fi

if [ ! -e $1 ]
then
   mkdir $1
fi

if [ ! -e $1 ]
then
   echo "Verzeichnis $1 exist nicht!"
   exit
fi

make clean


if [ ! -e $1/padb ]
then
   mkdir $1/padb
fi
if [ ! -e $1/padb/bak1 ]
then
   mkdir $1/padb/bak1
fi
if [ ! -e $1/padb/Pixmaps ]
then
   mkdir $1/padb/Pixmaps
fi
if [ ! -e $1/padb/Konzept ]
then
   mkdir $1/padb/Konzept
fi

cp -d * $1/padb
cp -d bak1/* $1/padb/bak1
cp -d Pixmaps/* $1/padb/Pixmaps
cp -d Konzept/* $1/padb/Konzept


echo ""
echo "Backup nach $1 fertig!"
echo ""
