// ##########################################################################
// ####                                                                  ####
// ####                         Prfungsamt-Client                       ####
// ####                    ============================                  ####
// ####                                                                  ####
// #### Datenbank-Fehlermeldungen                                        ####
// ####                                                                  ####
// #### Version 1.00  --  12. Juli 2000                                  ####
// ####                                                                  ####
// #### Copyright (C) 2000  Thomas Dreibholz                             ####
// ####                     Universitt Bonn                             ####
// ####                     EMail: Dreibholz@bigfoot.com                 ####
// ####                     WWW:   http://www.bigfoot.com/~dreibholz     ####
// ####                                                                  ####
// ##########################################################################


#include "system.h"
#include "sqlmessages.h"


// ###### SQL-Warnung ausgeben ##############################################
void sqlWarning(QWidget* widget, const QString& text)
{
   QMessageBox::warning(
      widget,
      "SQL-Warnung",
      text,
      "Abbruch!"
   );
}


// ###### SQL-Warnung ausgeben ##############################################
void sqlError(QWidget* widget, const QString& text)
{
   QMessageBox::critical(
      widget,
      "SQL-Fehler",
      text,
      "Abbruch!"
   );
}
